Bug 27421 - Enhancement to innd initscript
Enhancement to innd initscript
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: inn (Show other bugs)
7.1
All Linux
low Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-13 12:38 EST by Need Real Name
Modified: 2007-03-26 23:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 12:38:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-13 12:38:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


Here is an enhancement to the innd initscript that will allow it to 
continue to work if the user has relocated their INN history database 
and/or news spool from the RedHat default location.

Reproducible: Always
Steps to Reproduce:
1. Edit inn.conf to relocate PATHHISTORY.
2. Try to start INN via the initscript.
	

Actual Results:  Get an error "please run makehistory or makedbz before 
running INN."

Expected Results:  Should have started INN.

*** innd.orig Sat Feb 10 12:00:28 2001
--- innd Sat Feb 10 12:03:18 2001
***************
*** 19,26 ****
  # Check that networking is up.
  [ ${NETWORKING} = "no" ] && exit 0
  [ -d /etc/news ] || exit 0
! [ -d /var/spool/news ] || exit 0
! [ -f /var/lib/news/history -a -f /var/lib/news/history.hash ] || {
  echo $"Please run makehistory and/or makedbz before starting innd." >&2
  exit 1
  }
--- 19,28 ----
  # Check that networking is up.
  [ ${NETWORKING} = "no" ] && exit 0
  [ -d /etc/news ] || exit 0
! [ -f /etc/news/inn.conf ] || exit 0
! . /usr/lib/innshellvars
! [ -d $SPOOLBASE ] || exit 0
! [ -f $HISTORY -a -f $HISTORY.hash ] || {
  echo $"Please run makehistory and/or makedbz before starting innd." >&2
  exit 1
  }
Comment 1 Florian La Roche 2001-02-14 05:37:24 EST
Good change, applied to the next rpm.

Note You need to log in before you can comment on or make changes to this bug.